<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
recurringaction
</p>
<p>Provides methods to handle Recurring Actions for Minions, Groups and Organizations.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#listByEntity"/>listByEntity</a></li>
<li><a href="#lookupById"/>lookupById</a></li>
<li><a href="#update"/>update</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Create a new recurring action.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

	     <em>struct</em> actionProps
	<ul>
    <li><em>string</em> "entity_type" - the type of the target entity. One of the following:</li>
	<ul>
	<li>MINION</li>
	<li>GROUP</li>
	<li>ORG</li>
	</ul>
    <li><em>int</em> "entity_id" - the ID of the target entity</li>
    <li><em>string</em> "name" - the name of the action</li>
    <li><em>string</em> "cron_expr" - the execution frequency of the action</li>
    <li><em>boolean</em> "test" - whether the action should be executed in test mode (optional)</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - the ID of the recurring action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="delete" href="#top">Method: delete</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Delete recurring action with given action id.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> actionId - ID of the action
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - the ID of the recurring action
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="listByEntity" href="#top">Method: listByEntity</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return a list of recurring actions for a given entity.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>string</em> entityType - type of the target entity. Can be MINION, GROUP or ORG.
 </li>
<li>

    <em>int</em> entityId - ID of the target entity
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


<em>array</em>
  <ul>
   <li>
          

	     <em>struct</em> recurring action information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "entity_id"</li>
	<li><em>string</em> "entity_type"</li>
	<li><em>string</em> "cron_expr"</li>
	<li><em>dateTime.iso8601</em> "created"</li>
	<li><em>string</em> "creator"</li>
	<li><em>boolean</em> "test"</li>
	<li><em>boolean</em> "active"</li>
	</ul>
 
</li></ul>
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="lookupById" href="#top">Method: lookupById</a></h3>

<div>
<span>HTTP <code>GET</code></span>
</div>

<h4>Description</h4>
Return recurring action with given action ID.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

    <em>int</em> actionId - ID of the action
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>




	     <em>struct</em> recurring action information
	<ul>
	<li><em>int</em> "id"</li>
	<li><em>string</em> "name"</li>
	<li><em>int</em> "entity_id"</li>
	<li><em>string</em> "entity_type"</li>
	<li><em>string</em> "cron_expr"</li>
	<li><em>dateTime.iso8601</em> "created"</li>
	<li><em>string</em> "creator"</li>
	<li><em>boolean</em> "test"</li>
	<li><em>boolean</em> "active"</li>
	</ul>
  
 
</code>
</li></ul>
<p />
<hr />

<h3> <a name="update" href="#top">Method: update</a></h3>

<div>
<span>HTTP <code>POST</code></span>
</div>

<h4>Description</h4>
Update a recurring action.


<h4>Parameters</h4>
<ul>
<li>

    <em>string</em> sessionKey
 </li>
<li>

	     <em>struct</em> actionProps
	<ul>
    <li><em>int</em> "id" - the ID of the action to update</li>
    <li><em>string</em> "name" - the name of the action (optional)</li>
    <li><em>string</em> "cron_expr" - the execution frequency of the action (optional)</li>
    <li><em>boolean</em> "test" - whether the action should be executed in test mode (optional)</li>
    <li><em>boolean</em> "active" - whether the action should be active (optional)</li>
	</ul>
 </li>
</ul>
<p />
<h4>Returns</h4>
<ul><li>
<code>


    <em>int</em> id - the ID of the recurring action
 
</code>
</li></ul>
<p />
<hr />
</body>
</html>
